#ifndef DEMO001_2_H
#define DEMO001_2_H

#include <QMainWindow>
#include <QSlider>
#include <QLineEdit>

namespace Ui {
class Demo001_2;
}

class Demo001_2 : public QMainWindow
{
    Q_OBJECT

public:
    explicit Demo001_2(QWidget *parent = nullptr);
    ~Demo001_2();

    void initFrom();
    void connectSliderAndLineEdit(QSlider* slider, QLineEdit* lineEdit);
    void initLineEdits();
    void initSliders();

protected:
    void wheelEvent(QWheelEvent *event);
    void loadSettings();
    void checkSettings();
    void loadGroupSettings(int Id, int Index);
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;

private slots:
    void on_LeftZoomUpButton_clicked();

    void on_RightZoomUpButton_clicked();

    void on_LeftZoomOutButton_clicked();

    void on_RightZoomOutButton_clicked();

    QPixmap getCurrentPixmap() const {
        return Right_currentPixmap;
    }

private:
    Ui::Demo001_2 *ui;

    QPixmap Left_currentPixmap;
    qreal Left_scaleFactor;
    QPixmap Right_currentPixmap;
    qreal Right_scaleFactor;
};

#endif // DEMO001_2_H
